Bug 444581 - yum should write: "missing file systemid" instead of traceback
yum should write: "missing file systemid" instead of traceback
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 06:52 EDT by Petr Sklenar
Modified: 2009-09-02 07:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
/etc/sysconfig/rhn/systemid stores the identity of a system registered with the Red Hat Network. Previously, yum-rhn-plugin did not allow for situations where this file was missing, so would cause yum to crash when it could not find the file. If the systemid file is missing, the plugin now warns the user that the SystemID could not be acquired and that the system might not be registered on the Red Hat Network.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:22:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-04-29 06:52:53 EDT
Description of problem:
when system is registered to rhn, and file 
"/etc/sysconfig/rhn/systemid" is deleted or moved, yum has traceback

Version-Release number of selected component (if applicable):
yum-3.2.8-9.el5

How reproducible:
always

Steps to Reproduce:
1. register system to rhn
2. mv /etc/sysconfig/rhn/systemid /etc/sysconfig/rhn/systemid.BAK
3. yum repolist
 
Actual results:
traceback
TypeError: cannot marshal None unless allow_none is enabled

Expected results:
it should write error "missing file", or re-register

Additional info:
Comment 4 Garik Khachikyan 2009-07-23 03:41:21 EDT
# VERIFIED

No more traceback: the accurate message is displaying now:
---
This system may not be a registered to RHN. SystemId could not be acquired.
RHN support will be disabled.
---

Checked on: RHEL5.4-Server-20090715.0
Archs: i386, x86_64, ia64, s390x
Packages:
yum-3.2.22-20.el5
yum-rhn-plugin-0.5.4-10.el5
Comment 9 Jan Hutař 2009-07-29 05:14:21 EDT
As original reproducer, `yum repolist` works as expected - comment #4, marking as VERIFIED, but openning new bug 514467.
Comment 11 Ruediger Landmann 2009-08-27 21:50:13 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
/etc/sysconfig/rhn/systemid stores the identity of a system registered
with the Red Hat Network. Previously, yum-rhn-plugin did not allow for
situations where this file was missing, so would cause yum to crash when 
it could not find the file. If the systemid file is missing, the plugin 
now warns the user that the SystemID could not be acquired and that the 
system might not be registered on the Red Hat Network.
Comment 12 errata-xmlrpc 2009-09-02 07:22:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1355.html

Note You need to log in before you can comment on or make changes to this bug.